> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Motifs

> Retrieve transcription factor binding motifs from HOCOMOCO.

Example: tf_name = STAT3_HUMAN,

source = HOCOMOCOv11.

The limit parameter controls the page size and can not exceed 500.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /motifs
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /motifs:
    get:
      summary: Motifs
      description: |-
        Retrieve transcription factor binding motifs from HOCOMOCO.

        Example: tf_name = STAT3_HUMAN,

        source = HOCOMOCOv11.

        The limit parameter controls the page size and can not exceed 500.

        Pagination is 0-based.
      operationId: motifs
      parameters:
        - name: tf_name
          in: query
          required: false
          schema:
            type: string
        - name: source
          in: query
          required: false
          schema:
            type: string
            enum:
              - IGVF
              - HOCOMOCOv11
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Homo sapiens
            default: Homo sapiens
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                    tf_name:
                      type: string
                    length:
                      type: number
                    pwm:
                      type: array
                      items:
                        type: array
                        items:
                          anyOf:
                            - not: {}
                            - type: string
                    source:
                      type: string
                    source_url:
                      type: string
                  required:
                    - name
                    - tf_name
                    - length
                    - pwm
                    - source
                    - source_url
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````